package com.iloomo.dao.core;

import com.iloomo.util.PageData;
import com.iloomo.util.PagerModel;

import java.util.List;
import java.util.Map;

/** 
 * 说明：表 coreBusiness数据处理接口
 * 创建人：system
 * 创建时间：2019-04-29
 * @version
 */
public interface CoreBusinessDao{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public int save(PageData pd) throws Exception;
	
	/**根据id删除数据
	 * @param pd
	 * @throws Exception
	 */
	public int deleteById(PageData pd) throws Exception;
	
	/**根据id修改数据
	 * @param pd
	 * @throws Exception
	 */
	public int updateById(PageData pd) throws Exception;
	
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public Map findById(PageData pd) throws Exception;
	
	/**列表(分页)
	 * @param
	 * @throws Exception
	 */
	public PagerModel list(PageData pd) throws Exception;
	
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<Map> listAll(PageData pd) throws Exception;
}

