package com.iloomo.entity.system;

import com.iloomo.entity.Page;

import java.io.Serializable;

/**
 * 
* 类名称：用户
* 类描述： 
  * 作者单位：
* 联系方式：
* 创建时间：
* @version 1.0
 */
public class User implements Serializable {
	private int id;
	//手机号码
	private String mobile;
	private String username;
	//密码
	private String password;
	//性别：0，不确定；1，男；2，女
	private int gender;
	//真实姓名
	private String real_name;
	//
	private String open_id;
	//
	private String wechat;
	//微信昵称
	private String nick_name;
	//用户头像
	private String avatar;
	//用户状态：0，不可用(禁用账户)；1，可用(启用账户)
	private int status;
	//添加时间
	private String add_time;
	//用户手机号绑定时间
	private String bind_time;
	//最后登录时间
	private String last_login_time;
	//备注说明
	private String remark;
	//绑定的实体卡号
	private String entity_card;
	//支付密码
	private String pay_password;
	//2G/3G/4G网络下显示图片商品图片：0，否；1，是
	private int show_img_status;
	//小程序ID
	private String lit_id;
	//APPID
	private String app_id;
	//联合ID
	private String union_id;
	//
	private int business_id;
	//申请成为分销商时间
	private String apply_channel_time;
	//是否为分销商：0否，1是
	private int is_channel;
	//用户角色id
	private int role_id;
	//身份证号
	private String identity;
	//身份证照片
	private String identity_photo;
	//身份证照片反面
	private String identity_photo_back;
	//驾驶证照片
	private String driver_card_photo;
	//城市
	private String city;
	//微信同步标记:  0未同步,  1已同步
	private int wx_synchronization_flag;
	//erc地址
	private String erc;
	//可沟通时间
	private String free_time;
	//可沟通方式
	private String free_type;
	//我的会员码
	private String code;
	//
	private String parent_code;
	//是否已经删除，1表示已经删除，2表示未删除
	private int is_deleted;
	//更新时间
	private String update_time;
	private String forbidden;//是否禁用
	private String IP;			//用户登录ip地址
	private String rights;		//权限
	private Role role;			//角色对象
	private Page page;			//分页对象
	private String skin;		//皮肤

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getGender() {
		return gender;
	}

	public void setGender(int gender) {
		this.gender = gender;
	}

	public String getReal_name() {
		return real_name;
	}

	public void setReal_name(String real_name) {
		this.real_name = real_name;
	}

	public String getOpen_id() {
		return open_id;
	}

	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	public String getWechat() {
		return wechat;
	}

	public void setWechat(String wechat) {
		this.wechat = wechat;
	}

	public String getNick_name() {
		return nick_name;
	}

	public void setNick_name(String nick_name) {
		this.nick_name = nick_name;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getAdd_time() {
		return add_time;
	}

	public void setAdd_time(String add_time) {
		this.add_time = add_time;
	}

	public String getBind_time() {
		return bind_time;
	}

	public void setBind_time(String bind_time) {
		this.bind_time = bind_time;
	}

	public String getLast_login_time() {
		return last_login_time;
	}

	public void setLast_login_time(String last_login_time) {
		this.last_login_time = last_login_time;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getEntity_card() {
		return entity_card;
	}

	public void setEntity_card(String entity_card) {
		this.entity_card = entity_card;
	}

	public String getPay_password() {
		return pay_password;
	}

	public void setPay_password(String pay_password) {
		this.pay_password = pay_password;
	}

	public int getShow_img_status() {
		return show_img_status;
	}

	public void setShow_img_status(int show_img_status) {
		this.show_img_status = show_img_status;
	}

	public String getLit_id() {
		return lit_id;
	}

	public void setLit_id(String lit_id) {
		this.lit_id = lit_id;
	}

	public String getApp_id() {
		return app_id;
	}

	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}

	public String getUnion_id() {
		return union_id;
	}

	public void setUnion_id(String union_id) {
		this.union_id = union_id;
	}

	public int getBusiness_id() {
		return business_id;
	}

	public void setBusiness_id(int business_id) {
		this.business_id = business_id;
	}

	public String getApply_channel_time() {
		return apply_channel_time;
	}

	public void setApply_channel_time(String apply_channel_time) {
		this.apply_channel_time = apply_channel_time;
	}

	public int getIs_channel() {
		return is_channel;
	}

	public void setIs_channel(int is_channel) {
		this.is_channel = is_channel;
	}

	public int getRole_id() {
		return role_id;
	}

	public void setRole_id(int role_id) {
		this.role_id = role_id;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getIdentity_photo() {
		return identity_photo;
	}

	public void setIdentity_photo(String identity_photo) {
		this.identity_photo = identity_photo;
	}

	public String getIdentity_photo_back() {
		return identity_photo_back;
	}

	public void setIdentity_photo_back(String identity_photo_back) {
		this.identity_photo_back = identity_photo_back;
	}

	public String getDriver_card_photo() {
		return driver_card_photo;
	}

	public void setDriver_card_photo(String driver_card_photo) {
		this.driver_card_photo = driver_card_photo;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public int getWx_synchronization_flag() {
		return wx_synchronization_flag;
	}

	public void setWx_synchronization_flag(int wx_synchronization_flag) {
		this.wx_synchronization_flag = wx_synchronization_flag;
	}

	public String getErc() {
		return erc;
	}

	public void setErc(String erc) {
		this.erc = erc;
	}

	public String getFree_time() {
		return free_time;
	}

	public void setFree_time(String free_time) {
		this.free_time = free_time;
	}

	public String getFree_type() {
		return free_type;
	}

	public void setFree_type(String free_type) {
		this.free_type = free_type;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getParent_code() {
		return parent_code;
	}

	public void setParent_code(String parent_code) {
		this.parent_code = parent_code;
	}

	public int getIs_deleted() {
		return is_deleted;
	}

	public void setIs_deleted(int is_deleted) {
		this.is_deleted = is_deleted;
	}

	public String getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(String update_time) {
		this.update_time = update_time;
	}

	public String getRights() {
		return rights;
	}

	public void setRights(String rights) {
		this.rights = rights;
	}

	public String getSkin() {
		return skin;
	}

	public void setSkin(String skin) {
		this.skin = skin;
	}

	public Role getRole() {
		return role;
	}
	public void setRole(Role role) {
		this.role = role;
	}
	public Page getPage() {
		if(page==null)
			page = new Page();
		return page;
	}
	public void setPage(Page page) {
		this.page = page;
	}

	public String getIP() {
		return IP;
	}

	public void setIP(String IP) {
		this.IP = IP;
	}


	public String getForbidden() {
		return forbidden;
	}

	public void setForbidden(String forbidden) {
		this.forbidden = forbidden;
	}
}
